All Data Structures Namespaces Files Functions Groups Pages
TestBufrMessage Class Reference

Test BufrMessage functionality. More...

Inherits TestCase.

## Public Member Functions

def | test_metadata
| Metadata is read correctly from BufrMessage. More...
def | test_content
| Data values are read correctly from BufrMessage. More...
def | test_value_setting
| Keys can be set properly. More...
def | test_serialize
| Message can be serialized to file. More...
def | test_clone
| Messages can be used to produce clone Messages. More...

## Detailed Description

Test BufrMessage functionality.

## Member Function Documentation

def test_clone | ( |  | self | ) |

Messages can be used to produce clone Messages.

Referenced by TestBufrMessage.test_metadata().

def test_content | ( |  | self | ) |

Data values are read correctly from BufrMessage.

def test_metadata | ( |  | self | ) |

Metadata is read correctly from BufrMessage.

References TestBufrMessage.test_clone().

def test_serialize | ( |  | self | ) |

Message can be serialized to file.

def test_value_setting | ( |  | self | ) |

Keys can be set properly.

The documentation for this class was generated from the following file:

- high_level_api.py